Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.xmlrules
Class FromXmlRulesModule

    java.lang.Object
      org.apache.commons.digester3.binder.AbstractRulesModule
          org.apache.commons.digester3.xmlrules.FromXmlRulesModule

All Implemented Interfaces:
  RulesModule

    public abstract class FromXmlRulesModule

extends AbstractRulesModule

`RulesModule` implementation that allows loading rules from XML files.

Since:
  3.0

Constructor Summary
`FromXmlRulesModule()`

Method Summary
`protected void` | `configure()` Configures a `RulesBinder` via the exposed methods.
`Set<String>` | `getSystemIds()` Returns the XML source SystemIds load by this module.
`protected abstract void` | `loadRules()`
`protected void` | `loadXMLRules(File file)` Opens a new `org.xml.sax.InputSource` given a `java.io.File`.
`protected void` | `loadXMLRules(InputSource inputSource)` Reads the XML rules from the given `org.xml.sax.InputSource`.
`protected void` | `loadXMLRules(InputStream input)` Opens a new `org.xml.sax.InputSource` given a `java.io.InputStream`.
`protected void` | `loadXMLRules(Reader reader)` Opens a new `org.xml.sax.InputSource` given a `java.io.Reader`.
`protected void` | `loadXMLRules(String uri)` Opens a new `org.xml.sax.InputSource` given a URI in String representation.
`protected void` | `loadXMLRules(URL url)` Opens a new `org.xml.sax.InputSource` given a `java.net.URL`.
`protected void` | `loadXMLRulesFromText(String xmlText)` Opens a new `org.xml.sax.InputSource` given an XML document in textual form.
`protected void` | `useRootPath(String rootPath)` Set the root path (will be used when composing modules).

Methods inherited from class org.apache.commons.digester3.binder.AbstractRulesModule
`addError, addError, configure, forPattern, install, rulesBinder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FromXmlRulesModule

    public FromXmlRulesModule()

Method Detail

### configure

    protected void configure()

  Configures a `RulesBinder` via the exposed methods.

  Specified by:
    `configure` in class `AbstractRulesModule`

### loadRules

    protected abstract void loadRules()

### loadXMLRules

    protected final void loadXMLRules(InputSource inputSource)

  Reads the XML rules from the given `org.xml.sax.InputSource`.

  Parameters:
    `inputSource` - The `org.xml.sax.InputSource` where reading the XML rules from.

### loadXMLRules

    protected final void loadXMLRules(InputStream input)

  Opens a new `org.xml.sax.InputSource` given a `java.io.InputStream`.

  Parameters:
    `input` - The `java.io.InputStream` where reading the XML rules from.

### loadXMLRules

    protected final void loadXMLRules(Reader reader)

  Opens a new `org.xml.sax.InputSource` given a `java.io.Reader`.

  Parameters:
    `reader` - The `java.io.Reader` where reading the XML rules from.

### loadXMLRules

    protected final void loadXMLRules(File file)

  Opens a new `org.xml.sax.InputSource` given a `java.io.File`.

  Parameters:
    `file` - The `java.io.File` where reading the XML rules from.

### loadXMLRules

    protected final void loadXMLRules(String uri)

  Opens a new `org.xml.sax.InputSource` given a URI in String representation.

  Parameters:
    `uri` - The URI in String representation where reading the XML rules from.

### loadXMLRules

    protected final void loadXMLRules(URL url)

  Opens a new `org.xml.sax.InputSource` given a `java.net.URL`.

  Parameters:
    `url` - The `java.net.URL` where reading the XML rules from.

### loadXMLRulesFromText

    protected final void loadXMLRulesFromText(String xmlText)

  Opens a new `org.xml.sax.InputSource` given an XML document in textual form.

  Parameters:
    `xmlText` - The XML document in textual form where reading the XML rules from.

### useRootPath

    protected final void useRootPath(String rootPath)

  Set the root path (will be used when composing modules).

  Parameters:
    `rootPath` - The root path

### getSystemIds

    public final Set<String> getSystemIds()

  Returns the XML source SystemIds load by this module.

  Returns:
    The XML source SystemIds load by this module

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.